## pmake 1.39

=== mk/Makefile ===
#	$NetBSD: Makefile,v 1.19 1997/09/09 10:33:19 agc Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/8/93

FILES=	bsd.README bsd.doc.mk bsd.dep.mk bsd.files.mk bsd.inc.mk bsd.kmod.mk \
	bsd.lib.mk bsd.links.mk bsd.man.mk bsd.nls.mk bsd.obj.mk bsd.own.mk \
	bsd.port.mk bsd.port.subdir.mk \
	bsd.prog.mk bsd.subdir.mk bsd.sys.mk sys.mk
FILESDIR=/usr/share/mk
NOOBJ=	noobj

BINMODE=444

.include <bsd.prog.mk>
