## pmake 1.45-3.2

=== debian/changelog ===
pmake (1.45-3.2) frozen unstable; urgency=low

  * it's for frozen too

 -- Jim Lynch <jwl@debian.org>  Mon,  6 Mar 2000 09:03:28 +0800

pmake (1.45-3.1) unstable; urgency=low

  * Apply patch in Bug#56878 (Closes Bug#56878)

 -- Jim Lynch <jwl@debian.org>  Sun,  5 Mar 2000 12:45:54 +0800

pmake (1.45-3) unstable; urgency=low

  * Unconditionally set OBJECT_FMT to "a.out" in mk/bsd.own.mk (Fixes
    crtbegin/crtend.o problems on powerpc and alpha). (Closes Bug#38951).

 -- Edward Brocklesby <ejb@debian.org>  Sun,  6 Jun 1999 09:35:15 +0000

pmake (1.45-2) unstable; urgency=low

  * Fixed crt0.o stuff in mk/bsd.prog.mk.
  * Fixed FUD in /usr/share/mk/bsd.README

 -- Edward Brocklesby <ejb@debian.org>  Sun, 23 May 1999 16:55:06 +0000

pmake (1.45-1) unstable; urgency=low

  * New upstream version.
  * Moved mk files back from /usr/lib/mk to /usr/share/mk.

 -- Edward Brocklesby <ejb@debian.org>  Wed,  5 May 1999 21:08:58 +0000

pmake (1.39-4) unstable; urgency=low

  * New maintainer.

 -- Edward Brocklesby <ejb@debian.org>  Tue, 23 Feb 1999 21:01:53 +0000

pmake (1.39-3) unstable; urgency=low

  * debian/control (Maintainer): new address.
  * debian/copyright: ditto.
  * debian/control (Standards-Version): updated to 2.5.0.0.

 -- James Troup <james@nocrew.org>  Tue, 10 Nov 1998 13:37:41 +0000

pmake (1.39-2) frozen unstable; urgency=medium

  * mk/bsd.man.mk: correct CATDEPS, Herbet Xu
    <herbert@gondor.apana.org.au>. [#21158]
  * debian/control (Standards-Version): Updated to 2.4.1.0.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 15 Apr 1998 12:12:11 +0200

pmake (1.39-1) unstable; urgency=high

  * New upstream version [98-03-16].
  * Reverts back to .orig.tar.gz and .diff.gz.
  * Replace mkdep with the one from OpenBSD as it deals with temporary
    files in a secure fashion. [#19806]
  * pmake now comes with ASCII and postscript versions of the pmake
    tutorial in /usr/doc/pmake/.
  * debian/control: Updated Standards-Version to 2.4.0.0 [#16780].
  * debian/copyright: Corrected ftp site information.
  * debian/copyright: Expanded changes description.
  * debian/rules: No longer uses {,} and other minor changes.
  * mk/bsd.doc.mk: Groff's tmac macros are in /usr/share/groff/tmac, 
    not /usr/share/tmac on Debian GNU/Linux.
  * mk/bsd.lib.mk: added a machine definition "debian".
  * mk/bsd.own.mk: s#/usr/share/"/usr/" for  MANDIR and DOCDIR.
  * mk/bsd.own.mk: s/wheel/root/g.
  * mk/bsd.own.mk: define MANZ.
  * mk/bsd.own.mk: don't make files unwritable by owner.
  * mk/bsd.prog.mk: undefine LIBCRT0.
  * mk/sys.mk: MAKE is pmake not GNU make.
  * var.c: #include <stdio.h> because <regex.h> needs it.
  * util.c: don't try to redefine libc functions by #ifndefing a large
    chunk on (__linux__).

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thu, 19 Mar 1998 20:53:45 +0100

pmake (1.0-17) unstable; urgency=low

  * Fixed mk/bsd.lib.mk so that bogus `-q' argument isn't passed to 
    tsort [#11536]

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon, 28 Jul 1997 21:17:39 +0100

pmake (1.0-16) unstable; urgency=low

  * Abandonned debian diff, since the diff is bigger than the original
    source.
  * Added mkdep (again from NetBSD Current) [fixes #11464].

 -- James Troup <jjtroup@comp.brad.ac.uk>  Fri, 25 Jul 1997 13:50:44 +0100

pmake (1.0-15) unstable; urgency=low

  * Updated source to NetBSD Current.
  * Rebuilt with libc6.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sat,  5 Jul 1997 01:10:27 +0100

pmake (1.0-14) unstable; urgency=low

  * New maintainer.
  * Upgraded to Standards 2.1.3.0 (Fixes bug #9491, #3793).
  * bsd.lib.mk no longer passes spurious `T' argument to ar 
    (Fixes bug #3793), patch from Philip Blundell <pb@nexus.co.uk>.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 14 May 1997 01:34:07 +0100

Local variables:
mode: debian-changelog
End:
