=== debian/control ===
Source: pmake
Section: devel
Priority: optional
Maintainer: Edward Brocklesby <ejb@debian.org>
Standards-Version: 2.5.0.0

Package: pmake
Architecture: any
Depends: ${shlibs:Depends}
Description: 4.4BSD make (pmake).
 Pmake is a program designed to simplify the maintenance of other
 programs. Its input is a list of specifications as to the files upon
 which programs and other files depend.  mkdep, a program to construct
 Makefile dependency lists, is also included.
