=== debian/changelog ===
pmake (1.45-10) unstable; urgency=low

  * Fixed broken '.Nm ""' directives in the man page. Closes: #137768
  * Changed name from "make" to "pmake" in manpage.

 -- Steve McIntyre <93sam@debian.org>  Tue, 12 Mar 2002 21:59:55 +0000

pmake (1.45-9) unstable; urgency=low

  * Fixed broken .Bl directives in the man page. Closes: #117723

 -- Steve McIntyre <93sam@debian.org>  Sun, 04 Nov 2001 17:00:14 +0000

pmake (1.45-8) unstable; urgency=high

  * High urgency because of two important bug fixes...
  * Fixed important bug in getopt handling that broke -n flag in
    recursive Makefiles. Closes: #109608
  * Modified shared library targets to use $(CC) -shared instead of
    $(LD) -x -shared, which didn't work. Closes: #109959

 -- Steve McIntyre <93sam@debian.org>  Sat, 08 Sep 2001 15:35:11 +0100

pmake (1.45-7) unstable; urgency=low

  * Don't depend on particular locations of groff's macros, as they may
    change, and indeed have done with groff 1.17 (closes:
    #101973). Thanks to Colin Watson for the patch.

 -- Steve McIntyre <93sam@debian.org>  Sun, 24 Apr 2001 02:40:21 +0100

pmake (1.45-6) unstable; urgency=low

  * Make sure that make execs a shell to expand target rules
    containing "~". Closes: #89313.
  * Fixed the definition of "sh" in job.c so that pmake will play
    nicely with bash if non-compat mode is used (e.g parallel
    makes). It was assuming that "sh" was "ash" and understood the -q
    flag.
  
 -- Steve McIntyre <93sam@debian.org>  Tue, 17 Apr 2001 02:10:41 +0100

pmake (1.45-5) unstable; urgency=low

  * Applied patch for Hurd from Igor Khavkine <i_khavki@alcor.concordia.ca>.
  * Added Build-Depends for groff. Closes: #90358
  * New maintainer address
  * Updated Standards-Version.
  
 -- Steve McIntyre <93sam@debian.org>  Thu, 22 Mar 2001 19:19:08 +0100

pmake (1.45-4) unstable; urgency=low

  * New maintainer.
  * Updated Standards-Version.
  * Fixed multiple lintian warnings.
  
 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 21 May 2000 18:36:23 +0100
