=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pmake
 Section: devel
 Priority: optional
-Maintainer: Edward Brocklesby <ejb@debian.org>
-Standards-Version: 2.5.0.0
+Maintainer: Steve McIntyre <93sam@debian.org>
+Standards-Version: 3.2.1.0
+Build-Depends: groff
 
 Package: pmake
 Architecture: any
