=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 ARCH=$(shell dpkg --print-gnu-build-architecture)
 CFLAGS="-O2  -g -Wall -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= \
-	-I. -DMACHINE=\\\"debian\\\" -DMACHINE_ARCH=\\\"${ARCH}\\\""
+	-I. -DMACHINE=\\\"debian\\\" -DMACHINE_ARCH=\\\"${ARCH}\\\" \
+	-D_GNU_SOURCE"
 
 build:
 	$(checkdir)
@@ -36,10 +37,10 @@
 	install -s -m 755 bmake debian/tmp/usr/bin/pmake
 	install -m 755 mkdep debian/tmp/usr/bin/
 
-	install -d -m 755 debian/tmp/usr/man/man1/
-	install -m 644 make.1 debian/tmp/usr/man/man1/pmake.1
-	install -m 644 mkdep.1 debian/tmp/usr/man/man1/
-	gzip -9v debian/tmp/usr/man/man1/*
+	install -d -m 755 debian/tmp/usr/share/man/man1/
+	install -m 644 make.1 debian/tmp/usr/share/man/man1/pmake.1
+	install -m 644 mkdep.1 debian/tmp/usr/share/man/man1/
+	gzip -9v debian/tmp/usr/share/man/man1/*
 
 	install -d -m 755 debian/tmp/usr/share/mk/
 	for file in mk/*; \
@@ -47,17 +48,22 @@
 	  install -m 644 $$file debian/tmp/usr/share/$$file; \
 	done
 
-	install -d -m 755 debian/tmp/usr/doc/pmake/
-	groff -Tascii -M/usr/share/groff/tmac -ms PSD.doc/tutorial.ms > \
-	      debian/tmp/usr/doc/pmake/tutorial.asc
-	groff -Tps -M/usr/share/groff/tmac -ms PSD.doc/tutorial.ms > \
-	      debian/tmp/usr/doc/pmake/tutorial.ps
-	cp debian/changelog debian/tmp/usr/doc/pmake/changelog.Debian
-	gzip -9v debian/tmp/usr/doc/pmake/*
-	install -m 644 debian/copyright  debian/tmp/usr/doc/pmake/
+	install -d -m 755 debian/tmp/usr/share/doc/pmake/
+	groff -Tascii -ms PSD.doc/tutorial.ms > \
+	      debian/tmp/usr/share/doc/pmake/tutorial.asc
+	groff -Tps -ms PSD.doc/tutorial.ms > \
+	      debian/tmp/usr/share/doc/pmake/tutorial.ps
+	cp debian/changelog debian/tmp/usr/share/doc/pmake/changelog.Debian
+	gzip -9v debian/tmp/usr/share/doc/pmake/*
+	install -m 644 debian/copyright  debian/tmp/usr/share/doc/pmake/
+
+	-install -m 755 debian/preinst debian/tmp/DEBIAN/preinst
+	-install -m 755 debian/postinst debian/tmp/DEBIAN/postinst
+	-install -m 755 debian/prerm debian/tmp/DEBIAN/prerm
+	-install -m 755 debian/postrm debian/tmp/DEBIAN/postrm
 
 	dpkg-shlibdeps debian/tmp/usr/bin/pmake
-	dpkg-gencontrol 
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp/
 	chmod -R go=rX debian/tmp/
 	dpkg --build debian/tmp/ ..
