## pmake 1.45-11

=== debian/changelog ===
pmake (1.45-11) unstable; urgency=low

  * Set defaults to match policy better. Closes: #150895. Thanks to 
    Matej Vela for the patch.

 -- Steve McIntyre <93sam@debian.org>  Sun, 30 Jun 2002 23:52:31 +0100
