=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 clean:
 	$(checkdir)
 	$(MAKE) -f Makefile.boot clean
-	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvar*
+	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvar* mk/*~
 
 binary-indep:   checkroot build
 	$(checkdir)
