=== debian/control ===
Source: pmake
Section: devel
Priority: optional
Maintainer: Sam Hocevar <sho@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5.0), groff

Package: pmake
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NetBSD make
 pmake is a program designed to simplify the maintenance of other
 programs. Its input is a list of specifications as to the files upon
 which programs and other files depend.  mkdep, a program to construct
 Makefile dependency lists, is also included.
