=== debian/changelog ===
pmake (20130730-2) unstable; urgency=low

  * Provide bmake.
  * Add buildsystem addon for debhelper.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 15 Aug 2013 02:52:01 +0200

pmake (20130730-1) unstable; urgency=low

  * New maintainer.
  * New release based on bmake-20130730.
  * The main binary is now bmake, pmake is a compatibility symlink.
  * Use debhelper 9.
  * Bump Standards-Version to 3.9.4.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 14 Aug 2013 22:55:06 +0200
