=== debian/control ===
Source: pmake
Section: devel
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), groff
Homepage: http://www.crufty.net/help/sjg/bmake.html

Package: pmake
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: bmake
Description: NetBSD make
 pmake is a program designed to simplify the maintenance of other
 programs. Its input is a list of specifications as to the files upon
 which programs and other files depend.  mkdep, a program to construct
 Makefile dependency lists, is also included.
